Skip to content

REST API endpoints for Organization Invitations

GET /orgs/{orgId}/invitations

List all pending invitations for an organization.

Authentication

Authentication is required.

The authenticated member must have member:create permission in the organization.

Learn more about authentication

Path Parameters
orgIdstringRequired

The slug or ID of the organization.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

arrayRequired

Pending invitations. Each item is an OrganizationMemberPrivate with accepted set to false.

idstringRequired

The unique identifier of the user.

namestringRequired

The display name of the user.

usernamestringRequired

The username of the user.

created_atstringRequired

ISO 8601 timestamp of when the user was created.

rolestringRequired

The role of the user. Can be user, moderator or admin.

avatar_urlstring

The URL of the user avatar.

biostring

The short bio of the user.

is_ownerbooleanRequired

Whether the user is the owner of the organization.

member_rolestringRequired

The role of the member in the organization.

permissionsarray<string>Required

The permissions that the member has in the organization.

acceptedbooleanRequired

Whether the membership invitation has been accepted.

GET /users/{userId}/org_invitations

List pending organization invitations for the current authenticated user.

Authentication

Authentication is required.

The authenticated user must match userId.

Learn more about authentication

Path Parameters
userIdstringRequired

The ID or username of the user. Use @me for the current authenticated user.

Response Body Content-Type: application/json

This API endpoint returns standard API response format. The following fields are fields of the data object. Learn more

arrayRequired

Pending organization invitations for the user.

organizationobjectRequired

The inviting organization.

inviteeobjectRequired

The invited member record, including whether the invitation has been accepted.

POST /orgs/{orgId}/invitations

Invite a user to join an organization.

Authentication

Authentication is required.

The authenticated member must have member:create permission in the organization.

Learn more about authentication

Path Parameters
orgIdstringRequired

The slug or ID of the organization.

Request Body Content-Type: application/json

Permissions use organization member permission values: member:create, member:update, member:delete, project:create, project:read, project:update, project:delete, project:channel:create, project:channel:update, project:channel:delete, project:version:create, project:version:update, project:version:delete.

inviteestringRequired

The username or 8-character user ID of the user to invite.

rolestring

The role of the user in the organization. Minimum 1 and maximum 32 characters.

permissionsarray<string>

The permissions that the user will have in the organization.

PATCH /orgs/{orgId}/invitations/{userId}

Accept a pending invitation. Only the invited user can accept their own invitation.

Authentication

Authentication is required.

Must be the invited user.

Learn more about authentication

Path Parameters
orgIdstringRequired

The slug or ID of the organization.

userIdstringRequired

The username or ID of the invited user. Must match the authenticated user.

DELETE /orgs/{orgId}/invitations/{userId}

Cancel a pending invitation by an authorized member or reject an invitation by the invitee.

Authentication

Authentication is required.

Must be the invited user or a member with member:create permission.

Learn more about authentication

Path Parameters
orgIdstringRequired

The slug or ID of the organization.

userIdstringRequired

The username or ID of the invited user.